@font-face {
  font-family: "Monogram";
  src: url("/assets/fonts/monogram.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "LadyLiefy";
  src: url("/assets/fonts/Lady-Liefy-OldeTome.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Pixel monospace";
  src: url("/assets/fonts/Mona12.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: #fffefc;
    background-image: url('/assets/images/textures/old-mathematics.png');
    color: #43415F;
    font-family: "Monogram", monospace;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    padding: 2rem;
}

.landing-box {
    background-color: #EEF3E8;
    width: 100%;
    max-width: 800px;
    padding: 3rem 2.5rem;
    border: 2px solid #43415F;
    box-shadow: 2px 2px 0 #E9DC53,
        4px 4px 0 #CAA174,
        -2px -2px 0 #ADB54E,
        -4px -4px 0 #6B9DCB;
}

.landing-box .site-name {
    font-family: "LadyLiefy", cursive;
    font-weight: 700;
    font-size: 3rem;
    text-align: center;
    letter-spacing: 0.05em;
    color: #43415F;
    text-shadow: 2px 2px 0 #E9DC53,
        4px 4px 0 #CAA174,
        -2px -2px 0 #ADB54E,
        -4px -4px 0 #6B9DCB;
    padding: 0.5rem;
    margin-bottom: 2.5rem;
}

.landing-box p {
    text-align: justify;
    font-size: 1.5rem;
    margin-top: 0.75rem;
}

.enter-links {
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;
    gap: 0.5rem;
    padding-top: 2rem;
}

.enter-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    width: 100px;
    text-decoration: none;
    font-family: "Monogram", monospace;
    font-weight: 200;
    font-size: 1.25rem;
    letter-spacing: 0.08em;
    color: #312d6e;
    padding: 0.5rem 0.5rem 0.5rem 0.5rem;
    box-shadow: 2px 2px 0 #43415F,
        -2px -2px 0 #43415F;
}

.enter-link:hover {
    filter: brightness(1.25);
}

.enter-link--en { background-color: #4677A6; }
.enter-link--fr { background-color: #6B9DCB; }
.enter-link--kr { 
    background-color: #705d88; 
    font-size: 0.75rem;
    font-family: "Pixel monospace", monospace;
}
.enter-link--de { background-color: #CAA174; }

.credits { 
    font-family: "Monogram", monospace;
    color:#d9e1d1;
    text-align: center;
    padding-top: 2rem;
    font-size: 1.5rem;
}
.credits a{ 
    color:#43415F;
    text-decoration: none;
}

.emoji {
    font-size: 1.5rem;
    font-family: "Pixel monospace", monospace;
}


/* CURSORS */


body {
    cursor: url('/assets/images/cursors/default.png') 8 8, auto;
}

p, li, span {
  cursor: url('/assets/images/cursors/text.png') 16 16, text;
}


a, a * {
    cursor: url('/assets/images/cursors/pointer.png') 16 16, pointer;
}